from cubicweb import (
    _,
    wfutils,
)


set_property("ui.site-title", "test app")


useraccount_wf_definition = {
    "etypes": "UserAccount",
    "default": True,
    "initial_state": _("created"),
    "states": [_("created"), _("activated"), _("deactivated")],
    "transitions": {
        _("activate"): {
            "fromstates": ["created", "deactivated"],
            "tostate": "activated",
            "requiredgroups": "managers",
        },
        _("deactivate"): {
            "fromstates": ["activated"],
            "tostate": "deactivated",
            "requiredgroups": "managers",
        },
    },
}
wfutils.setup_workflow(cnx, "User account worflow", useraccount_wf_definition)
